Status: Closed Start date: Feb 28, 2020

Priority: High Due date:  

Assignee: Michele Artini % Done: 100%

Category:    

Target version: ISTI Open Portal Issues   

Description

If I search Andrea Dell'Amico, the result is empty. When I remove the ', the publications associated to my name appear.

History

#1 - Feb 28, 2020 07:15 PM - Leonardo Candela

- File Screenshot 2020-02-28 at 19.09.03.png added

- Priority changed from Normal to High

The problem is with the ' in the query

The following queries both return the 12 records we have 

https://openportal.isti.cnr.it/results?qv=andrea+dell+amico

https://openportal.isti.cnr.it/results?qv=andrea+amico

yet they are not the solution. We should find a solution since also the browse by author fails to display the 12 records. 

#2 - Feb 28, 2020 07:18 PM - Leonardo Candela

- Subject changed from While we wait for the new issue tracker: my surname breaks the search (as often does) to Problema with authors having ' in

the name 

These are the queries associated with the browse ...

https://openportal.isti.cnr.it/results?qf=cnrautb&qv=Andrea%20Dell%27Amico

https://openportal.isti.cnr.it/results?qf=cnrautb&qv=Felice%20Dell%27Orletta

#3 - Feb 28, 2020 07:18 PM - Leonardo Candela

- Subject changed from Problema with authors having ' in the name  to Problems with authors having ' in the name 

#4 - Feb 28, 2020 07:22 PM - Leonardo Candela

- File Screenshot 2020-02-28 at 19.21.33.png added

We do have 14 authors with ' in the name ... see screenshot. 

#5 - Mar 02, 2020 09:40 AM - Michele Artini

- Status changed from New to Feedback

The bug has been introduced recently to fix a XSS vulnerability.

In particular I changed the read of each input parameter from:

$mainValue  = $jinput->get('qv', '', 'STRING');

 to

$mainValue  = htmlspecialchars($jinput->get('qv', '', 'STRING'), ENT_QUOTES);

 The problem was mainly related with the parameter of the free search, so I  changed only the read of the browse parameter in:

$mainValue  = htmlspecialchars($jinput->get('qv', '', 'STRING'), ENT_COMPAT);

Jul 02, 2025 1/2

https://openportal.isti.cnr.it/results?qv=andrea+dell+amico
https://openportal.isti.cnr.it/results?qv=andrea+amico
https://openportal.isti.cnr.it/results?qf=cnrautb&qv=Andrea%20Dell%27Amico
https://openportal.isti.cnr.it/results?qf=cnrautb&qv=Felice%20Dell%27Orletta


#6 - Mar 02, 2020 09:55 AM - Leonardo Candela

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

I confirm the query 

https://openportal.isti.cnr.it/results?qf=cnrautb&qv=Andrea%20Dell%27Amico

is now working again. 

Files

Screenshot 2020-02-28 at 19.09.03.png 49.6 KB Feb 28, 2020 Leonardo Candela

Screenshot 2020-02-28 at 19.21.33.png 144 KB Feb 28, 2020 Leonardo Candela

Powered by TCPDF (www.tcpdf.org)

Jul 02, 2025 2/2

https://openportal.isti.cnr.it/results?qf=cnrautb&qv=Andrea%20Dell%27Amico
http://www.tcpdf.org

